Skip to main content
GET
/
api
/
v1
/
bulls_bears_say
Latest bull and bear cases for a given ticker symbol
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/bulls_bears_say?token='
{
  "bulls-say-bears-say": [
    {
      "analyst_firms_referenced": 12,
      "bear_case": "Market saturation and competitive pressures",
      "bull_case": "Strong product pipeline and ecosystem lock-in effect",
      "created": 1704819000,
      "exchange": "NASDAQ",
      "id": "60a7f5e8e4b0f5a3c8e9f5c0",
      "latest": true,
      "securities": [
        {
          "cik": "320193",
          "exchange": "NASDAQ",
          "isin": "US0378331005",
          "name": "Apple Inc.",
          "symbol": "AAPL"
        }
      ],
      "ticker": "AAPL",
      "updated": 1704819600
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

symbols
string
required

Stock ticker symbol to query for bull/bear cases

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pagesize
integer
default:100

Number of results to be returned. Limit 200

Required range: x <= 200
parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

An array of bull and bear cases for the requested ticker symbol

API response containing an array of bulls say bears say records

bulls-say-bears-say
object[]